Skip to content
LydieDevelopers
Menu

Rename a database view

View as Markdown
POST/v1/database-views/{id}/rename
docs:writeUndoable
Request
curl -X POST "https://api.lydie.co/v1/database-views/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/rename" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Notes"
  }'

Path parameters

  • idULIDrequired

Body

  • namestringrequired· 1–200 chars

Response

200
{
  "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
  "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
  "databaseId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
  "name": "Notes",
  "type": "table",
  "config": {
    "filter": null,
    "sorts": [],
    "groupBy": null,
    "subGroupBy": null,
    "columns": [],
    "limit": null,
    "summaries": {},
    "layout": {},
    "extra": {}
  },
  "sortKey": "a0",
  "createdAt": "2026-11-12T09:30:00.000Z",
  "updatedAt": "2026-11-12T09:30:00.000Z",
  "deletedAt": null,
  "createdBy": null,
  "updatedBy": null
}

Errors use one envelope for every endpoint. See Errors and versions.